Cant make it
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/cant-make-it \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"note": "<string>",
"proposedStartsAt": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', note: '<string>', proposedStartsAt: '<string>'})
};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/cant-make-it', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/cant-make-it"
payload = {
"requestId": "<string>",
"note": "<string>",
"proposedStartsAt": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"kind": "rearranged",
"startsAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro-contractor
Cant make it
The contractor cannot make the booked visit: move it to a new slot, or cancel it for the agency to rebook
POST
/
p
/
:tenant
/
contractor
/
jobs
/
{id}
/
cant-make-it
Cant make it
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/cant-make-it \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"note": "<string>",
"proposedStartsAt": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', note: '<string>', proposedStartsAt: '<string>'})
};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/cant-make-it', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/cant-make-it"
payload = {
"requestId": "<string>",
"note": "<string>",
"proposedStartsAt": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"kind": "rearranged",
"startsAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Path Parameters
Body
application/json
Available options:
tenant_unavailable, tenant_called_office, emergency_elsewhere, job_overran, illness, vehicle, parts, other Available options:
15, 30, 45, 60, 90, 120, 180, 240, 480